Name:           newa
Version:        0.1.dev888
Release:        1.20241114111009279669.pr124%{?dist}
Summary:        New Errata Workflow

License:        MIT
URL:            https://github.com/RedHatQE/newa
Source0:        newa-0.1.0.dev113+g263044c.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-jira

%py_provides    python3-newa

%description
The newa Python module and command line tool used for errata
workflow automation.

%prep
%autosetup -p1 -n newa-0.1.0.dev113+g263044c

%generate_buildrequires
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files newa

%check
%pyproject_check_import

%files -n newa -f %{pyproject_files}
%doc README.md
%{_bindir}/newa

%changelog
* Thu Nov 14 2024 Packit <hello@packit.dev> - 0.1.dev888-1.20241114111009279669.pr124
- Development snapshot (263044cd)

* Tue June 06 2024 Miroslav Vadkerti <mvadkert@redhat.com> - 0.1-1
- Initial packaging
